Retrieve Payment Link
curl --request GET \
--url https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/ \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>'
}
};
fetch('https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Version: <api-key>",
"X-Client-ID: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-API-Version", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/")
.header("X-Client-ID", "<api-key>")
.header("X-Client-Secret", "<api-key>")
.header("X-API-Version", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-Client-Secret"] = '<api-key>'
request["X-API-Version"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"payment_id": "<string>",
"link_id": "<string>",
"reference_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"payment_link": "<string>",
"status": "<string>",
"status_message": "<string>",
"paid_payment_id": "<string>",
"payments": [
{
"payment_id": "<string>",
"status": "pending",
"mop_type": "<string>",
"amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"payment_completed_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"buyer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"postal_code": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>"
},
"pan_number": "<string>",
"dob": "<string>"
},
"product": {
"name": "<string>",
"description": "<string>",
"hs_code": "<string>",
"hs_code_description": "<string>",
"type_of_goods": "<string>"
},
"invoice": {
"number": "<string>",
"date": "<string>",
"file": "<string>"
},
"settlement": {
"status": "<string>",
"message": "<string>",
"settlement_details": {
"settlement_id": "<string>",
"settlement_completed_at": "2023-11-07T05:31:56Z",
"utr_number": "<string>",
"merchant_net_amount": "<string>",
"settlement_currency": "<string>"
}
}
}
}Payment Links
Retrieve Payment Link
Get detailed information about a specific payment link.
GET
/
pg
/
payment-links
/
{paymentLinkId}
/
Retrieve Payment Link
curl --request GET \
--url https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/ \
--header 'X-API-Version: <api-key>' \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>",
"X-API-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Client-ID': '<api-key>',
'X-Client-Secret': '<api-key>',
'X-API-Version': '<api-key>'
}
};
fetch('https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Version: <api-key>",
"X-Client-ID: <api-key>",
"X-Client-Secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Client-ID", "<api-key>")
req.Header.Add("X-Client-Secret", "<api-key>")
req.Header.Add("X-API-Version", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/")
.header("X-Client-ID", "<api-key>")
.header("X-Client-Secret", "<api-key>")
.header("X-API-Version", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-pacb-uat.eximpe.com/pg/payment-links/{paymentLinkId}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Client-ID"] = '<api-key>'
request["X-Client-Secret"] = '<api-key>'
request["X-API-Version"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"payment_id": "<string>",
"link_id": "<string>",
"reference_id": "<string>",
"amount": "<string>",
"currency": "<string>",
"payment_link": "<string>",
"status": "<string>",
"status_message": "<string>",
"paid_payment_id": "<string>",
"payments": [
{
"payment_id": "<string>",
"status": "pending",
"mop_type": "<string>",
"amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"payment_completed_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"buyer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"address": {
"postal_code": "<string>",
"line_1": "<string>",
"line_2": "<string>",
"city": "<string>",
"state": "<string>"
},
"pan_number": "<string>",
"dob": "<string>"
},
"product": {
"name": "<string>",
"description": "<string>",
"hs_code": "<string>",
"hs_code_description": "<string>",
"type_of_goods": "<string>"
},
"invoice": {
"number": "<string>",
"date": "<string>",
"file": "<string>"
},
"settlement": {
"status": "<string>",
"message": "<string>",
"settlement_details": {
"settlement_id": "<string>",
"settlement_completed_at": "2023-11-07T05:31:56Z",
"utr_number": "<string>",
"merchant_net_amount": "<string>",
"settlement_currency": "<string>"
}
}
}
}Overview
Fetch detailed information about a specific payment link using its unique ID. This includes the current status, the payments made through it, buyer details, and associated order information.Path Parameters
paymentLinkId: The link’slink_idfrom Create Payment Link (e.g.,PR5106085554). Thepayment_idit returns is the same value.
How the link was paid
paid_payment_id: The link’spayment_idonce it is paid, ornulluntil then.payments: The link’s payment, as a single entry from the moment the link is created: itspayment_id(the same aslink_id),status(pending,captured,failedor, rarely,invalid),mop_type(e.g.upi, ornull),amountin the format Create Payment Link returns ("1500", or"1500.50"when there are paise),created_at, andpayment_completed_at(nulluntil it completes).
link_id is the link’s ID; payment_id is the same value, kept for compatibility.